Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.request
Class UploadedFile25

    java.lang.Object
      org.richfaces.request.BaseUploadedFile
          org.richfaces.request.UploadedFile25

All Implemented Interfaces:
  org.richfaces.model.UploadedFile

    public class UploadedFile25

extends BaseUploadedFile

Author:
  Nick Belaevski

Constructor Summary
`UploadedFile25(java.lang.String parameterName, org.richfaces.request.FileUploadResource uploadResource, com.google.common.collect.Multimap<java.lang.String,java.lang.String> headersMap)`

Method Summary
`void` | `delete()`
`java.lang.String` | `getHeader(java.lang.String headerName)`
`java.util.Collection<java.lang.String>` | `getHeaderNames()`
`java.util.Collection<java.lang.String>` | `getHeaders(java.lang.String headerName)`
`java.io.InputStream` | `getInputStream()`
`long` | `getSize()`
`void` | `write(java.lang.String fileName)`

Methods inherited from class org.richfaces.request.BaseUploadedFile
`getContentType, getData, getName, getParameterName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UploadedFile25

    public UploadedFile25(java.lang.String parameterName,
                          org.richfaces.request.FileUploadResource uploadResource,
                          com.google.common.collect.Multimap<java.lang.String,java.lang.String> headersMap)

Method Detail

### getInputStream

    public java.io.InputStream getInputStream()
                                       throws java.io.IOException

  Throws:
    `java.io.IOException`

### delete

    public void delete()
                throws java.io.IOException

  Throws:
    `java.io.IOException`

### write

    public void write(java.lang.String fileName)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### getHeader

    public java.lang.String getHeader(java.lang.String headerName)

### getHeaderNames

    public java.util.Collection<java.lang.String> getHeaderNames()

### getHeaders

    public java.util.Collection<java.lang.String> getHeaders(java.lang.String headerName)

### getSize

    public long getSize()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.